export declare const NxCloudChoices: string[];
declare const messageOptions: Record<string, MessageData[]>;
export type MessageKey = keyof typeof messageOptions;
interface MessageData {
    code: string;
    message: string;
    initial: number;
    choices: Array<{
        value: string;
        name: string;
    }>;
    footer: string;
    hint?: string;
    fallback?: {
        value: string;
        key: MessageKey;
    };
}
export declare class PromptMessages {
    private selectedMessages;
    getPrompt(key: MessageKey): MessageData;
    codeOfSelectedPromptMessage(key: MessageKey): string;
}
export declare const messages: PromptMessages;
/**
 * We are incrementing a counter to track how often create-nx-workspace is used in CI
 * vs dev environments. No personal information is collected.
 */
export declare function recordStat(opts: {
    command: string;
    nxVersion: string;
    useCloud: boolean;
    meta: string[];
}): Promise<void>;
export {};
